package com.fjhx.customer.service.customer;

import com.fjhx.customer.entity.customer.po.CustomerFollowRecords;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.customer.entity.customer.vo.CustomerFollowRecordsVo;
import com.fjhx.customer.entity.customer.dto.CustomerFollowRecordsSelectDto;
import com.fjhx.customer.entity.customer.dto.CustomerFollowRecordsDto;

import java.util.List;


/**
 * <p>
 * 客户跟进记录 服务类
 * </p>
 *
 * @author
 * @since 2023-05-05
 */
public interface CustomerFollowRecordsService extends BaseService<CustomerFollowRecords> {

    /**
     * 客户跟进记录分页
     */
    Page<CustomerFollowRecordsVo> getPage(CustomerFollowRecordsSelectDto dto);

    List<CustomerFollowRecordsVo> followList(Long id);

    /**
     * 客户跟进记录明细
     */
    CustomerFollowRecordsVo detail(Long id);

    /**
     * 客户跟进记录新增
     */
    void add(CustomerFollowRecordsDto customerFollowRecordsDto);

    /**
     * 客户跟进记录编辑
     */
    void edit(CustomerFollowRecordsDto customerFollowRecordsDto);

    /**
     * 客户跟进记录删除
     */
    void delete(Long id);

}
